List Policies
curl --request GET \
--url https://testnet.walletkit.com/policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://testnet.walletkit.com/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testnet.walletkit.com/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uuid": "<string>",
"project_id": "<string>",
"network": "Ethereum",
"wallet_address": "<string>",
"argument_rules": [
{
"argument": "<string>",
"operator": "eq",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Policies
List Policies
Lists all policies for a wallet.
List Policies
Headers
string
required
Your WalletKit Project ID can be found on the API Keys page in the WalletKit Dashboard.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
Ethereum, Polygon, Base, Avalanche, Polkadot, Vara Response
Available options:
Ethereum, Polygon, Base, Avalanche, Polkadot, Vara Show child attributes
Show child attributes